#include "WProgram.h"
void setup();
void loop();
int relayPin  = 2; //Relay plugged into pin 2
int ledPin = 13; //Led plugged into pin 13
int status = 2; //Variable for serial reading and if statements

void setup()
{
  pinMode(relayPin, OUTPUT); //Pin 2 Output
  pinMode(ledPin, OUTPUT); //Pin 13 Output
  Serial.begin(9600); //Starts serial port at 9600 baud rate
  digitalWrite(relayPin, HIGH); //Turn on relay
}
void loop()
{
  if (Serial.available() > 0&&status==2){ //if the serial port is avalible and status = 2
    status = Serial.read();  //Puts the serial reading into a variable
  }
  if (status > 4){ //if the status is greater than 4 (serial port input)
    digitalWrite(relayPin, LOW); //Turn off relay
    digitalWrite(ledPin, HIGH); //Turn on LED
    status = 0; //Makes all statements false
  }
}

int main(void)
{
	init();

	setup();
    
	for (;;)
		loop();
        
	return 0;
}

